=== interfaces/ff-wrapped/SConstruct ===
import os

debug = ARGUMENTS.get('debug', 0)

env = Environment()

include_paths = ['../../include', '../../external', '../agnostic', '.']
lib_paths = [ '../..', '../agnostic' ]
libs = ['aptk', 'aptk-base', 'judy']

env.Append( CPPPATH = [ os.path.abspath(p) for p in include_paths ] )

if int(debug) == 1 :
	env.Append( CCFLAGS = ['-g','-Wall', '-std=c++0x', '-DDEBUG' ] )
else:
	env.Append( CCFLAGS = ['-O3','-Wall', '-std=c++0x', '-DNDEBUG'] )

env.Append( LIBS=libs)
env.Append( LIBPATH=[ os.path.abspath(p) for p in lib_paths ] )

cxx_sources = Glob('*.cxx')
c_sources = Glob('*.c')

objects = [ env.Object(s) for s in cxx_sources ] + [ env.Object(s) for s in c_sources ]

env.Library( 'aptk-ff-wrap', objects )
