=== debian/changelog ===
rock-master-19.06-planning-bfsf (0.20170620-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-planning/planning-bfsf.git
  * branch: refs/heads/master
  * commit: edcddf1dda947dc563e68577b897be455c5714fb
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Sat, 06 Jul 2019 16:58:42 +0200
